<mat-card-title class="text-center">Nombre del servicio: <strong>{{ virtualService.name_servicio }}</strong></mat-card-title>
<p></p>
<form role="form" autocomplete="off">
    <div mat-dialog-content>
        <div class="row">
            <div class="col-sm-4 col-12">
                <mat-form-field class="example-full-width">
                  <input matInput type="text" placeholder="Cliente"  
                  value="{{ ClientService.name}}" readonly>
              </mat-form-field>
            </div>
            <div class="col-sm-4 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Usuario de autenticación" 
                     value="{{ virtualService.service_user }}" readonly>
                </mat-form-field>
            </div>
            <div class="col-sm-4 col-12">
              <mat-form-field class="example-full-width">
                <input matInput type="text" placeholder="Subject"  
                value="{{ virtualService.subject }}" readonly>
              </mat-form-field>
            </div>
        </div>
        <div class="row">
           
            <div class="col-sm-6 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Estrategia"
                    value="{{ virtualService.service_strategy }}" readonly>
                </mat-form-field>
            </div>
            <div class="col-sm-6 col-12">
              <mat-form-field class="example-full-width">
                <input matInput [type]="showPassword ? 'text' : 'password'" 
                placeholder="Contraseña" 
                value="{{ virtualService.password }}" readonly>
                <mat-icon matSuffix (click)="showPassword = !showPassword">
                    <i class="material-icons">{{ showPassword ? 'visibility_off' : 'visibility' }}</i>
                </mat-icon>
            </mat-form-field>
            </div>
        </div>
        <br />
        <div class="row d-flex justify-content-center">
            <div class="col-sm-6 col-12">
                <mat-card>
                    <mat-card-title class="text-center">Creada por</mat-card-title>
                    <mat-card-title class="text-center">{{ user_create.name }}</mat-card-title>
                    <mat-card-title class="text-center">Usuario de red:</mat-card-title>
                    <mat-card-title class="text-center">{{ user_create.user_network }}</mat-card-title>
                    <mat-card-title class="text-center">Date:</mat-card-title>
                    <mat-card-title class="text-center">{{ user_create.updated_at }}</mat-card-title>
                </mat-card>
            </div>
            <div class="col-sm-6 col-12">
              <mat-card>
                <mat-card-title class="text-center">Creada por</mat-card-title>
                <mat-card-title class="text-center">{{ UserEdit.name }}</mat-card-title>
                <mat-card-title class="text-center">Usuario de red:</mat-card-title>
                <mat-card-title class="text-center">{{ UserEdit.user_network }}</mat-card-title>
                <mat-card-title class="text-center">Date:</mat-card-title>
                <mat-card-title class="text-center">{{ UserEdit.updated_at }}</mat-card-title>
            </mat-card>
            </div>
        </div>
    </div>
</form>